import type { JSX } from '../../stencil-public-runtime';
import type { ErrorListPropType, FormAPI, FormStates, KoliBriFormCallbacks, Stringified } from '@public-ui/schema';
export declare class KolForm implements FormAPI {
    errorListElement?: HTMLElement;
    private readonly onSubmit;
    private readonly onReset;
    private readonly handleLinkClick;
    render(): JSX.Element;
    _on?: KoliBriFormCallbacks;
    _requiredText?: Stringified<boolean>;
    _errorList?: ErrorListPropType[];
    state: FormStates;
    validateOn(value?: KoliBriFormCallbacks): void;
    validateRequiredText(value?: Stringified<boolean>): void;
    validateErrorList(value?: ErrorListPropType[]): void;
    componentWillLoad(): void;
    componentDidRender(): void;
}
